# This should be pushed to tainted as per Mageia's policy on emulators

%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           mupen64plus
Version:        2.0
Release:        %mkrel 8
Summary:        Nintendo 64 Emulator (GTK Gui)
License:        GPLv2+ and LGPLv2+
Group:          Emulators
URL:            http://code.google.com/p/mupen64plus/
Source0:        https://mupen64plus.googlecode.com/files/%{name}-bundle-src-2.0.tar.gz
Patch0:         mupen64plus-coredir.patch
Patch1:         mupen64plus-2.0-mga-suse-use-system-font.patch

BuildRequires:  boost-devel
BuildRequires:  lirc-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(sdl)
Requires:       fonts-ttf-dejavu
Requires:       %{libname} = %{version}-%{release}

%description
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

%files
%doc source/mupen64plus-core/{LICENSES,README,RELEASE}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man6/%{name}.6*

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Main library for Mupen64Plus Nintendo 64 Emulator
Group:          System/Libraries
Recommends:       m64py

%description -n %{libname}
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

This package contains the shared library interface for Mupen64Plus frontends
and all plugins from the upstream project.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/%{name}/

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development headers for Mupen64Plus Nintendo 64 Emulator
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
Mupen64Plus is a cross-platform plugin-based Nintendo 64 emulator which is
capable of accurately playing many games. Included are four MIPS R4300 CPU
emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems,
and necessary plugins for audio, graphical rendering (RDP), signal
co-processor (RSP), and input.

This package contains all necessary include files to develop frontends
against the Mupen64Plus shared library interface.

%files -n       %{devname}
%doc source/mupen64plus-core/doc/emuwiki-api-doc
%doc source/mupen64plus-core/doc/new_dynarec.txt
%{_includedir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-bundle-src-%{version}
%apply_patches
# We use the system's font instead of the shipped one
rm source/mupen64plus-core/data/font.ttf

%build
./m64p_build.sh COREDIR=%{_libdir}/ \
                PLUGINDIR=%{_libdir}/%{name} \
                PIC=1 \
                LIRC=1 \
                %{_smp_mflags}

%install
./m64p_install.sh DESTDIR=%{buildroot} \
                  PREFIX=%{_prefix} \
                  LIBDIR=%{_libdir} \
                  MANDIR=%{_mandir}


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0-8.mga5
+ Revision: 739403
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-7.mga5.tainted
+ Revision: 727385
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-6.mga5.tainted
+ Revision: 682701
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jun 04 2014 akien <akien> 2.0-5.mga5.tainted
+ Revision: 633177
- Suggest the m64py Qt4 frontend

* Tue May 20 2014 akien <akien> 2.0-4.mga5.tainted
+ Revision: 624559
- Add warning about this being a tainted package
- Do a proper libification of the package
- Add an OpenSUSE patch to use system-wide DejaVu font
- Improve description

* Mon May 19 2014 akien <akien> 2.0-3.mga5.tainted
+ Revision: 623693
- Rebuild for new boost

* Thu Oct 31 2013 tmb <tmb> 2.0-2.mga4.tainted
+ Revision: 548209
- Mageia 4 rebuild

* Thu Oct 10 2013 dams <dams> 2.0-1.mga4.tainted
+ Revision: 494543
- new version 2.0

* Mon Jun 03 2013 fwang <fwang> 1.5-5.mga4.tainted
+ Revision: 436021
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.5-4.mga3.tainted
+ Revision: 360514
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 31 2011 dmorgan <dmorgan> 1.5-3.mga2.tainted
+ Revision: 160275
- imported package mupen64plus


* Sun Jul 31 2011 Andrey Bondrov <abondrov@mandriva.org> 1.5-3mdv2012.0
+ Revision: 692528
- Rebuild
- Drop patch 10 as it breaks 64 bit version

* Wed Jul 27 2011 Andrey Bondrov <abondrov@mandriva.org> 1.5-2
+ Revision: 691880
- Add desktop-file-utils to BuildRequires
- Fix group
- imported package mupen64plus


* Sun Jul 23 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 1.5-2mdv2011.0
- Add patches from Debian
- Add keyboard default config patch from MIB
- Import from PLF
- Remove PLF reference

* Tue Jan  6 2009 Guillaume Bedot <littletux@zarb.org> 1.5-1plf2009.1
- First package of mupen64plus for PLF, requested by Zombie Ryushu
